package com.tofly.gpsboot.custom.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.pojo.car.cusom.CarMochaitomCount;
import com.tofly.pojo.car.cusom.CarMochaitomSql;
import com.tofly.pojo.car.cusom.CustomCarMochaitom;
import com.tofly.pojo.car.CarMochaitom;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface CustomCarMochaitomMapper extends BaseMapper<CustomCarMochaitom> {
    Object getcarNumber(@Param("carId")Long carId);

    List<Map> pageByCarNumber(Page page, @Param("number") String number);

    List<CarMochaitomCount> pageCount(@Param("carMochaitomSql") CarMochaitomSql carMochaitomSql);

    List<CarMochaitom> getList(@Param("carMochaitomSql") CarMochaitomSql carMochaitomSql);

    int hasTime(@Param("useTime") String useTime,@Param("carId") Long carId);

    List<CarMochaitom> getMaxMonth(@Param("carMochaitomSql") CarMochaitomSql carMochaitomSql);
}
